## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           ntfs2btrfs
Version:        20240115
Release:        %autorelease
Summary:        Conversion tool from NTFS to Btrfs

License:        GPL-2.0-or-later
URL:            https://github.com/maharmstone/ntfs2btrfs
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         https://github.com/maharmstone/ntfs2btrfs/commit/4375a142fe635044fe54e0c897bdc2bd07225d97.patch#/%{name}-gcc-14.1-include-memory.diff

BuildRequires:  cmake >= 3.14.3
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake(fmt)
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig(lzo2)
BuildRequires:  pkgconfig(libzstd)

# Adapted for specific use in this program, cannot be reasonably separated
Provides:       bundled(ntfs-3g-system-compression)

# Upstream doesn't have big endian support in the handwritten assembler
ExcludeArch:    ppc64 s390x

%description
ntfs2btrfs is a tool which does in-place conversion of Microsoft's NTFS
filesystem to the open-source filesystem Btrfs, much as btrfs-convert
does for ext2.

The original image is saved as a reflink copy at image/ntfs.img,
and if you want to keep the conversion you can delete this to
free up space.


%prep
%autosetup -p1


%build
%cmake
%cmake_build

%install
%cmake_install


%files
%license LICENCE
%doc README.md
%{_sbindir}/ntfs2btrfs
%{_mandir}/man8/ntfs2btrfs.8*


%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 20240115-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Aug 20 2024 Michel Lind <salimma@fedoraproject.org> - 20240115-3
- Explicitly include <memory> for GCC 14.1 compatibility
- Credit: Kefu Chai <tchaikov@gmail.com>
- Fixes: RHBZ#2301002

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20240115-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jan 25 2024 Davide Cavalca <dcavalca@fedoraproject.org> - 20240115-1
- Update to 20240115; Fixes: RHBZ#2258603

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230501-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 20230501-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20230501-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 28 2023 Vitaly Zaitsev <vitaly@easycoding.org> - 20230501-2
- Rebuilt due to fmt 10 update.

* Thu Jun 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 20230501-1
- Update to 20230501; Fixes: RHBZ#2192553

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 20220812-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Jan 17 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 20220812-1
- Update to 20220812; Fixes: RHBZ#2153545

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20210923-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 20210923-2
- Rebuild for fmt soversion bump

* Sat Mar 12 2022 Neal Gompa <ngompa@fedoraproject.org> - 20210923-1
- Update to version 20210923

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 20210523-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 20210523-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 11 2021 Neal Gompa <ngompa13@gmail.com> - 20210523-1
- Update to version 20210523

* Fri Apr 02 2021 Neal Gompa <ngompa13@gmail.com> - 20210402-1
- Update to version 20210402 for improved altarch support

* Mon Mar 15 2021 Neal Gompa <ngompa13@gmail.com> - 20210105-1
- Initial packaging for Fedora (RH#1938464)

## END: Generated by rpmautospec
